WebEx System Requirements
Skip to main content

About Kaplan

My Basket | 0 items
Go Search
Kaplan Financial - Home > About Kaplan > Pages > webex-system-requirements.aspx  

Welcome to Kaplan Financial, building futures one success story at a time
Kaplan Financial - Home > About Kaplan > Technical Requirements

Technical requirements

System Requirements for WebEx video recordings

For full webex system requirements visit https://www.webex.co.uk/support/support-system-requirements.htmlopens in a new window.

Still not sure whether you meet these requirements? Test your browseropens in a new window

If you meet these requirements and are still having technical problems, please delete your internet cookies*.

Important! You can now view live Webex sessions only using your mobile or tablet. Download the mobile app for Apple iOS or Android

Further support and advice is available from:

*You only need to delete your cookies - your browsing history and saved password data can remain.


Minimum System Requirements for MyKaplan

Desktop Support

The following browsers are supported:

  • Microsoft Internet Explorer version 11
  • Mozilla Firefox latest version
  • Google Chrome latest version (recommended)

We recommend you only use the above supported browser versions where possible. The following browsers have either limited support and/or operation due to compatibility issues.

  • Microsoft Internet Explorer 10 or lower
  • Microsoft Edge
  • Apple Safari
  • Opera

Flash Player

Adobe Flash Player is installed or enabled.

Disable pop-up blocking software

Pop-up blocking Applications might prevent Learning Objects from loading successfully.

Toolbars

Disable toolbars (i.e. Google, Yahoo...) as 3rd party Applications can interfere with your learning plan.

Connectivity

Broadband is highly recommended

Mobile and Tablet Support

Device Operating System Browser Version
Android Android 5.0+ Chrome Latest
Apple iOS® Safari The current major version of iOS (the latest minor or point release of that major version) and the previous major version of iOS (the latest minor or point release of that major version).

In addition the accessing via a mobile browser there is a mobile application available for download.

Pulse for Android

Pulse for iOS

Limitation of use – At this time some learning content has a requirement for Flash to be installed which can be a limiting factor when using a mobile device, we are actively working towards removing this limitation.

Enrol on a course

Useful Information
Contact Us
+44 (0) 161 259 7400

Technical Requirements